Summary:    A library for network interface configuration with DHCP
Name:       libdhcp
Version:    1.12
Release:    1
License:    GPL
Group:      Development/Libraries
URL:        http://people.redhat.com/dcantrel/%{name}/%{name}-%{version}.tar.gz
Source0:    %{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: dhcp-devel, libdhcp4client-devel >= 12:3.0.4-17
BuildRequires: libdhcp6client-devel, libnl-devel >= 1.0-0.10.pre5.4
BuildRequires: pkgconfig, doxygen

%description
libdhcp enables programs to invoke and control the
Dynamic Host Configuration Protocol (DHCP) clients:
the Internet Software Consortium (ISC) IPv4 DHCP 
client library, libdhcp4client, and the IPv6 DHCPv6
client library, libdhcp6client, and provides 
Network Interface Configuration (NIC) services for 
network parameter autoconfiguration with DHCP.

%package devel
Summary:	 C header files for development with libdhcp.
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libdhcp4client-devel, libdhcp6client-devel, libnl-devel

%description devel
C header files for development with libdhcp.

%{?!NODEBUGINFO: %define NODEBUGINFO 0}
%if %{NODEBUGINFO}
%define debug_package %{nil}
%endif

%prep
%setup -q

%build
rm -rf $RPM_BUILD_ROOT
%if %{NODEBUGINFO}
CFLAGS="`echo $RPM_OPT_FLAGS $CFLAGS | sed 's/-O[0-3]\ //g;s/-g\ /-g3\ -gdwarf-2\ /g'`" \
%else
CFLAGS="$RPM_OPT_FLAGS $CFLAGS" \
%endif
CC=%{__cc} \
make %{?_smp_mflags}


%define pkgcfgdir %{_libdir}/pkgconfig

%install
%makeinstall pkgcfgdir=${RPM_BUILD_ROOT}%{pkgcfgdir}
%if %{NODEBUGINFO}
/usr/lib/rpm/brp-compress
exit 0
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/libdhcp.so.*
%doc README COPYING html/ examples/

%files  devel
%defattr(-,root,root,-)
%{_libdir}/libdhcp.so
%{_libdir}/libdhcp.a
%{_includedir}/libdhcp
%{pkgcfgdir}/libdhcp.pc

%changelog
* Mon Aug 14 2006 Peter Jones <pjones@redhat.com> - 1.12-1
- Fixes for ppc and ppc64 (#201920)

* Fri Aug 11 2006 David Cantrell <dcantrell@redhat.com> - 1.11-1
- If interface is already configured, down it before reconfig (#202208)

* Wed Aug 02 2006 David Cantrell <dcantrell@redhat.com> - 1.10-1
- Make the README file a little more readable
- Set char pointers to NULL after free() in dhcpv4_control_free()
- In dhcp4_nic_callback(), set state string for DHC_TIMEDOUT
- In dhcp6_nic_callback(), set state string for DHC_TIMEDOUT
- Don't free null pointers in dhcp_nic_va()

* Thu Jul 13 2006 David Cantrell <dcantrell@redhat.com> - 1.9-1
- Added IP_STRLEN() macro to ip_addr.h
- In pumpSetupInterface(), removed return_ok, make close/free calls as
  needed
- Close and free nic stuff in the right order in pumpSetupInterface()
- Removed unnecessary relinquish_timeout() calls in pumpSetupInterface()

* Wed Jul 12 2006 David Cantrell <dcantrell@redhat.com> - 1.8-1
- Removed nic_configure_resolver() and calls to it

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.7-1.1
- rebuild

* Tue Jul 11 2006 David Cantrell <dcantrell@redhat.com> - 1.7-1
- Poll nic_get_links() until NLMSG_DONE is received (#197172)

* Wed Jun 28 2006 Peter Jones <pjones@redhat.com> - 1.6-1
- fix two memory leaks in dhcpv4_control_va
- fix memory leaks in dhcp_nic_va
- don't fork threads if we're not using a particular protocol
- fix client finished detection logic
- add a destructor for a dhc6ctl
- relinquish timeouts when pump is finished getting a lease

* Wed Jun 21 2006 Jeremy Katz <katzj@redhat.com> - 1.5-2
- actually follow the timeout given instead of always using 10 seconds

* Thu Jun 15 2006 Peter Jones <pjones@redhat.com> - 1.5-1
- fix some bugs anaconda was hitting

* Thu Jun 08 2006 Jason Vas Dias <jvdias@redhat.com> - 1.3-1
- Ensure IPv6 module is loaded before invoking dhcpv6_client 
- fix segfault on free() of uninitialized 'sdns' in dhcp_nic

* Wed Jun 07 2006 Jason Vas Dias <jvdias@redhat.com> - 1.2-2
- fix bug 194377: -devel package missing Require:s. 

* Sun May 21 2006 Jason Vas Dias <jvdias@redhat.com> - 1.2-1
- numerous improvements - stopped using libnl cache at all to
  fix memory leaks.

* Sun May 14 2006 Jason Vas Dias <jvdias@redhat.com> - 1.1-1 
- Initial build.
